Page MenuHomePhabricator

Scrolling in Wikidata Query Service table results is buggy
Closed, ResolvedPublic

Description

Consider https://query.wikidata.org/#%23 last meals of people%0ASELECT %3Fperson %3FpersonLabel (GROUP_CONCAT(%3FmealLabel%3B separator %3D "%2C ") AS %3Fmeal) WHERE {%0A %3Fperson wdt%3AP3902 %3Fmeal.%0A SERVICE wikibase%3Alabel {%0A bd%3AserviceParam wikibase%3Alanguage "[AUTO_LANGUAGE]%2Cen".%0A %3Fperson rdfs%3Alabel %3FpersonLabel.%0A %3Fmeal rdfs%3Alabel %3FmealLabel.%0A }%0A}%0AGROUP BY %3Fperson %3FpersonLabel I get a result table where I cannot see the bottom results. If I try to scroll, the edit field adaptively resizes making it impossible to scroll to the bottom. There are 4 results in the list. I tried with a couple of other where I did not see the problem.

I am on Ubuntu Firefox 54.0.

Event Timeline

Fnielsen created this task.Jul 25 2017, 6:56 AM
Restricted Application added subscribers: PokestarFan, Aklapper. · View Herald TranscriptJul 25 2017, 6:56 AM
Restricted Application added projects: Wikidata, Discovery. · View Herald TranscriptJul 25 2017, 6:56 AM

Sorry, we already fixed it on master:
https://gerrit.wikimedia.org/r/#/c/367026/

As a workaround just resize your window, sorry for the inconvenience.

Jonas moved this task from Backlog to Bugs on the Wikidata Query UI board.

The UX for scrolling is still terribly bad. It makes it close to unusable for some queries. Try with this gist https://gist.github.com/lucaswerkmeister/28608c3667a7064455152959a6e0e4cc

Include "https://gist.github.com/lucaswerkmeister/28608c3667a7064455152959a6e0e4cc" and attempt to see the graph: It is not possible on Ubuntu Firefox

Fnielsen reopened this task as Open.Aug 4 2017, 1:16 PM

Ok can confirm when query is long it is still buggy, also on mobile
http://tinyurl.com/y8a8osqn

Jonas triaged this task as High priority.Aug 4 2017, 5:11 PM
Jonas raised the priority of this task from High to Needs Triage.
abian added a subscriber: abian.Aug 17 2017, 12:36 PM
Jonas moved this task from Bugs to Done on the Wikidata Query UI board.Aug 18 2017, 11:45 AM
Jonas closed this task as Resolved.Aug 31 2017, 7:58 AM